{
    attributes = (
        {
            columnName = C_BANQUE; 
            externalType = VARCHAR2; 
            name = cBanque; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = C_GUICHET; 
            externalType = VARCHAR2; 
            name = cGuichet; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = DOMICILIATION; 
            externalType = VARCHAR2; 
            name = domiciliation; 
            valueClassName = NSString; 
            width = 50; 
        }
    ); 
    attributesUsedForLocking = (cBanque, cGuichet, domiciliation, dCreation, dModification); 
    className = EOGenericRecord; 
    classProperties = (cBanque, cGuichet, domiciliation, dCreation, dModification); 
    externalName = BANQUE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (cBanque, cGuichet, domiciliation, dCreation, dModification); 
    }; 
    name = Banque; 
    primaryKeyAttributes = (cBanque, cGuichet); 
}
